package bzh.billos.games.omgb;

import org.newdawn.slick.AppGameContainer;
import org.newdawn.slick.SlickException;

import bzh.billos.games.omgb.game.OMGBGame;

public class Launcher {

	
	public static final int X_SIZE = 1400;
	public static final int Y_SIZE = 800;
	public static final boolean FULLSCREEN = false;
	
	
	public static void main(String[] args) {
		
		try {
			AppGameContainer container = new AppGameContainer(new OMGBGame());
			container.setDisplayMode(X_SIZE, Y_SIZE, FULLSCREEN);
			container.setTargetFrameRate(4);
			container.start();
			
		} catch (SlickException e) {
			e.printStackTrace();
		}
		
	}
	
	
}
