package bzh.billos.games.omgb.game;

import org.newdawn.slick.AppGameContainer;
import org.newdawn.slick.GameContainer;
import org.newdawn.slick.SlickException;
import org.newdawn.slick.state.StateBasedGame;

import bzh.billos.games.omgb.game.states.InGameState;
import bzh.billos.games.omgb.util.GameDictionnary;


public class OMGBGame extends StateBasedGame {

	public OMGBGame(){
		super(GameDictionnary.getInstance().get("gameTitle"));
	}

	
	public InGameState game;
	private AppGameContainer container;
	
	
	@Override
	public void initStatesList(GameContainer container) throws SlickException {
		if (container instanceof AppGameContainer) {
			this.container = (AppGameContainer) container; 
		}

		this.game = new InGameState();
		this.container.setShowFPS(true);
		addState(this.game);
	}



}
